#include "Common.h"

// #define RWL_USE_INTERLOCKED


VOID InitializeRWLock(LPRWLOCK lpRwl);

VOID WriterEnter(LPRWLOCK lpRwl);
VOID WriterLeave(LPRWLOCK lpRwl);
VOID ReaderEnter(LPRWLOCK lpRwl);
VOID ReaderLeave(LPRWLOCK lpRwl);

VOID DeleteRWLock(LPRWLOCK lpRwl);